Loading...
Searching...
No Matches
pdftron::PDF::FindReplaceOptions Class Reference

`#include <FindReplaceOptions.h>`

Inheritance diagram for pdftron::PDF::FindReplaceOptions:

## Public Types
enum | HorizAlignment { e_left = 1 , e_center = 2 , e_right = 3 , e_full = 4 }
enum | ReflowType { e_text = 1 , e_line = 2 , e_para = 3 }
enum | MatchType { e_exact = 1 , e_wildcards = 2 , e_regex = 3 }

## Public Member Functions
| FindReplaceOptions ()
| ~FindReplaceOptions ()
HorizAlignment | GetAlignment ()
FindReplaceOptions & | SetAlignment (HorizAlignment value)
UInt32 | GetBatchSize ()
FindReplaceOptions & | SetBatchSize (UInt32 value)
bool | GetMatchCase ()
FindReplaceOptions & | SetMatchCase (bool value)
MatchType | GetMatchMode ()
FindReplaceOptions & | SetMatchMode (MatchType value)
UString | GetPages ()
FindReplaceOptions & | SetPages (const UString &value)
ReflowType | GetReflowMode ()
FindReplaceOptions & | SetReflowMode (ReflowType value)
bool | GetWholeWords ()
FindReplaceOptions & | SetWholeWords (bool value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file FindReplaceOptions.h.

## Member Enumeration Documentation

## ◆ HorizAlignment

enum pdftron::PDF::FindReplaceOptions::HorizAlignment

An enumeration used to specify the horizontal alignment of the new text added.

Enumerator
e_left | Apply left alignment to the new text.
e_center | Apply center alignment to the new text.
e_right | Apply right alignment to the new text.
e_full | Apply full alignment to the new text.

Definition at line 16 of file FindReplaceOptions.h.

## ◆ MatchType

enum pdftron::PDF::FindReplaceOptions::MatchType

An enumeration used to specify the mode used to match text.

Enumerator
e_exact | Exactly match the text.
e_wildcards | Use of wildcards to match the text is allowed.
e_regex | Use of regular expressions to match the text is allowed.

Definition at line 38 of file FindReplaceOptions.h.

## ◆ ReflowType

enum pdftron::PDF::FindReplaceOptions::ReflowType

An enumeration used to specify the mode used to reflow the replaced text.

Enumerator
e_text | Reflow just the changed text.
e_line | Reflow the whole line of the changed text.
e_para | Reflow the whole paragraph of changed text.

Definition at line 28 of file FindReplaceOptions.h.

## Constructor & Destructor Documentation

## ◆ FindReplaceOptions()

pdftron::PDF::FindReplaceOptions::FindReplaceOptions | ( |  | ) |

## ◆ ~FindReplaceOptions()

pdftron::PDF::FindReplaceOptions::~FindReplaceOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetAlignment()

HorizAlignment pdftron::PDF::FindReplaceOptions::GetAlignment | ( |  | ) |

Gets the value Alignment from the options object. Specifies the horizontal alignment of the new text added.

Returns
  The current value for Alignment.

## ◆ GetBatchSize()

UInt32 pdftron::PDF::FindReplaceOptions::GetBatchSize | ( |  | ) |

Gets the value BatchSize from the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

Returns
  The current value for BatchSize.

## ◆ GetMatchCase()

bool pdftron::PDF::FindReplaceOptions::GetMatchCase | ( |  | ) |

Gets the value MatchCase from the options object. Specifies whether the case of the 'from' string should be exactly matched when finding text to replace. Ignored if MatchType is regex.

Returns
  The current value for MatchCase.

## ◆ GetMatchMode()

MatchType pdftron::PDF::FindReplaceOptions::GetMatchMode | ( |  | ) |

Gets the MatchMode value from the options object. Specifies the mode used to match the text. the types of match are exact matching, wildcard matching and regular expression matching.

Returns
  The current value for MatchMode.

## ◆ GetPages()

UString pdftron::PDF::FindReplaceOptions::GetPages | ( |  | ) |

Gets the value Pages from the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1.

Returns
  The current value for Pages.

## ◆ GetReflowMode()

ReflowType pdftron::PDF::FindReplaceOptions::GetReflowMode | ( |  | ) |

Gets the value ReflowMode from the options object. Specifies the mode used to reflow the replaced text.

Returns
  The current value for ReflowMode.

## ◆ GetWholeWords()

bool pdftron::PDF::FindReplaceOptions::GetWholeWords | ( |  | ) |

Gets the value WholeWords from the options object. Specifies whether whole words should be matched when finding text to replace. Ignored if MatchType is regex.

Returns
  The current value for WholeWords.

## ◆ SetAlignment()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetAlignment | ( | HorizAlignment | value | ) |

Sets the value for Alignment in the options object. Specifies the horizontal alignment of the new text added.

Parameters

  value | The new value for Alignment.

Returns
  This object, for call chaining.

## ◆ SetBatchSize()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetBatchSize | ( | UInt32 | value | ) |

Sets the value for BatchSize in the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

Parameters

  value | The new value for BatchSize.

Returns
  This object, for call chaining.

## ◆ SetMatchCase()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetMatchCase | ( | bool | value | ) |

Sets the value for MatchCase in the options object. Specifies whether the case of the 'from' string should be exactly matched when finding text to replace.

Parameters

  value | The new value for MatchCase.

Returns
  This object, for call chaining.

## ◆ SetMatchMode()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetMatchMode | ( | MatchType | value | ) |

Sets MatchMode value in the options object. Specifies the mode used to match the text. the types of match are exact matching, wildcard matching and regular expression matching.

Parameters

  value | The new value for MatchMode.

Returns
  This object, for call chaining.

## ◆ SetPages()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetPages | ( | const UString & | value | ) |

Sets the value for Pages in the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1.

Parameters

  value | The new value for Pages.

Returns
  This object, for call chaining.

## ◆ SetReflowMode()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetReflowMode | ( | ReflowType | value | ) |

Sets the value for ReflowMode in the options object. Specifies the mode used to reflow the replaced text.

Parameters

  value | The new value for ReflowMode.

Returns
  This object, for call chaining.

## ◆ SetWholeWords()

FindReplaceOptions & pdftron::PDF::FindReplaceOptions::SetWholeWords | ( | bool | value | ) |

Sets the value for WholeWords in the options object. Specifies whether whole words should be matched when finding text to replace. Ignored if MatchType is regex.

Parameters

  value | The new value for WholeWords.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/FindReplaceOptions.h